# Visualization
TKService
WNT

# WNT_HListOfMFTFonts Class Reference

`#include <WNT_HListOfMFTFonts.hxx>`

## Public Member Functions

Standard_EXPORT | WNT_HListOfMFTFonts (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | WNT_HListOfMFTFonts (const Standard_Integer Low, const Standard_Integer Up, const Handle(MFT_FontManager)&V)
Standard_EXPORT void | Init (const Handle(MFT_FontManager)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(MFT_FontManager)&Value)
const Handle_MFT_FontManager & | Value (const Standard_Integer Index) const
Handle_MFT_FontManager & | ChangeValue (const Standard_Integer Index)
const WNT_ListOfMFTFonts & | Array1 () const
WNT_ListOfMFTFonts & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

WNT_ListOfMFTFonts | myArray

## Constructor & Destructor Documentation

Standard_EXPORT WNT_HListOfMFTFonts::WNT_HListOfMFTFonts | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT WNT_HListOfMFTFonts::WNT_HListOfMFTFonts | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(MFT_FontManager)& | V
| ) |

## Member Function Documentation

const WNT_ListOfMFTFonts& WNT_HListOfMFTFonts::Array1 | ( |  | ) | const

WNT_ListOfMFTFonts& WNT_HListOfMFTFonts::ChangeArray1 | ( |  | ) |

Handle_MFT_FontManager& WNT_HListOfMFTFonts::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const WNT_HListOfMFTFonts::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void WNT_HListOfMFTFonts::Init | ( | const Handle(MFT_FontManager)& | V | ) |

Standard_Integer WNT_HListOfMFTFonts::Length | ( |  | ) | const

Standard_Integer WNT_HListOfMFTFonts::Lower | ( |  | ) | const

void WNT_HListOfMFTFonts::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(MFT_FontManager)& | Value
| ) |

Standard_Integer WNT_HListOfMFTFonts::Upper | ( |  | ) | const

const Handle_MFT_FontManager& WNT_HListOfMFTFonts::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

WNT_ListOfMFTFonts WNT_HListOfMFTFonts::myArray `[private]`

The documentation for this class was generated from the following file:

- WNT_HListOfMFTFonts.hxx